# Mail Relayer

This project is an attempt to simplify relaying incoming emails, e.g. to ActionMailbox.

## Usage

1. `gem install mail-relayer`

2. Then pipe the email content from `STDIN` to `mail-relayer` executable. You need to specify the target URL and password (HTTP Basic Auth) either via command line arguments or via environment variables.

3. Profit

### Configuration

- target URL: `--url` or `MAIL_RELAYER_URL`
- ingress username: `--ingress-username` or `MAIL_RELAYER_INGRESS_USERNAME` (optional, default: `mail_relayer`)
- ingress password: `--ingress-password` or `MAIL_RELAYER_INGRESS_PASSWORD`

## Development

1. Install ruby - see `.ruby-version`
2. Install bundler - `gem install bundler`
3. Install dependencies - `bundle install`

## Tests

- `rake test` runs all MiniTest tests in `/test`
- `rubocop` run static code checks

## Build / Release

1. Update version number in `VERSION` if required.
2. `gem build mail-relayer.gemspec`
3. `gem install ./mail-relayer-<VERSION>.gem` to install locally
